| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes

# IG::Num::SIPrefix Class Reference

SI prefixes for producing multiples of the original units (such as kilo- or micro-). More...

Collaboration diagram for IG::Num::SIPrefix:
[legend]

List of all members.

## Static Public Attributes
static readonly PhysicalConstant | one
| Factor of 1 (1), 10^0.
static readonly PhysicalConstant | da
| deca- (da), SI prefix for 10^1.
static readonly PhysicalConstant | h
| hecto- (h), SI prefix for 10^2.
static readonly PhysicalConstant | k
| kilo- (k), SI prefix for 10^3.
static readonly PhysicalConstant | M
| mega- (M), SI prefix for 10^6.
static readonly PhysicalConstant | G
| giga- (G), SI prefix for 10^9.
static readonly PhysicalConstant | T
| tera- (T), SI prefix for 10^12.
static readonly PhysicalConstant | P
| peta- (P), SI prefix for 10^15.
static readonly PhysicalConstant | E
| exa- (E), SI prefix for 10^18.
static readonly PhysicalConstant | Z
| zetta- (Z), SI prefix for 10^21.
static readonly PhysicalConstant | Y
| yotta- (Y), SI prefix for 10^.
static readonly PhysicalConstant | d
| deci- (l), SI prefix for 10^-1.
static readonly PhysicalConstant | c
| centi- (c), SI prefix for 10^-2.
static readonly PhysicalConstant | m
| milli- (numrows), SI prefix for 10^-3.
static readonly PhysicalConstant | micro
| micro- (µ), SI prefix for 10^-6.
static readonly PhysicalConstant | n
| nano- (d2), SI prefix for 10^-9.
static readonly PhysicalConstant | p
| pico- (p), SI prefix for 10^-12.
static readonly PhysicalConstant | f
| femto- (f), SI prefix for 10^-15.
static readonly PhysicalConstant | a
| atto- (a), SI prefix for 10^-18.
static readonly PhysicalConstant | z
| zepto- (z), SI prefix for 10^-.
static readonly PhysicalConstant | y
| yocto- (y), SI prefix for 10^-24.

## Detailed Description

SI prefixes for producing multiples of the original units (such as kilo- or micro-).

## Member Data Documentation

readonly PhysicalConstant IG::Num::SIPrefix::one`[static]`

Initial value:

     new PhysicalConstant(
                1, 0,
                null,
                null,
                "1", "one",
                "One, the factor 1.")

Factor of 1 (1), 10^0.

readonly PhysicalConstant IG::Num::SIPrefix::da`[static]`

Initial value:

     new PhysicalConstant(
                10, 0,
                null,
                null,
                "da", "deca",
                "deca-, the SI prefix for factor of 10^1.")

deca- (da), SI prefix for 10^1.

readonly PhysicalConstant IG::Num::SIPrefix::h`[static]`

Initial value:

     new PhysicalConstant(
                100, 0,
                null,
                null,
                "h", "hecto",
                "hecto- (h), the SI prefix for factor of 10^2.")

hecto- (h), SI prefix for 10^2.

readonly PhysicalConstant IG::Num::SIPrefix::k`[static]`

Initial value:

     new PhysicalConstant(
                1000, 0,
                null,
                null,
                "k", "kilo",
                "kilo- (k), the SI prefix for factor of 10^3.")

kilo- (k), SI prefix for 10^3.

readonly PhysicalConstant IG::Num::SIPrefix::M`[static]`

Initial value:

     new PhysicalConstant(
                1e6, 0,
                null,
                null,
                "M", "mega",
                "mega- (M), the SI prefix for factor of 10^6.")

mega- (M), SI prefix for 10^6.

readonly PhysicalConstant IG::Num::SIPrefix::G`[static]`

Initial value:

     new PhysicalConstant(
                1e9, 0,
                null,
                null,
                "G", "giga",
                "giga- (), the SI prefix for factor of 10^9.")

giga- (G), SI prefix for 10^9.

readonly PhysicalConstant IG::Num::SIPrefix::T`[static]`

Initial value:

     new PhysicalConstant(
                1e12, 0,
                null,
                null,
                "T", "tera",
                "tera- (T), the SI prefix for factor of 10^12.")

tera- (T), SI prefix for 10^12.

readonly PhysicalConstant IG::Num::SIPrefix::P`[static]`

Initial value:

     new PhysicalConstant(
                1e15, 0,
                null,
                null,
                "P", "peta",
                "peta- (P), the SI prefix for factor of 10^15.")

peta- (P), SI prefix for 10^15.

readonly PhysicalConstant IG::Num::SIPrefix::E`[static]`

Initial value:

     new PhysicalConstant(
                1e18, 0,
                null,
                null,
                "E", "exa",
                "exa- (E), the SI prefix for factor of 10^18.")

exa- (E), SI prefix for 10^18.

readonly PhysicalConstant IG::Num::SIPrefix::Z`[static]`

Initial value:

     new PhysicalConstant(
                1e21, 0,
                null,
                null,
                "Z", "zetta",
                "zetta- (Z), the SI prefix for factor of 10^21.")

zetta- (Z), SI prefix for 10^21.

readonly PhysicalConstant IG::Num::SIPrefix::Y`[static]`

Initial value:

     new PhysicalConstant(
                1e24, 0,
                null,
                null,
                "Y", "yotta",
                "yotta- (Y), the SI prefix for factor of 10^24.")

yotta- (Y), SI prefix for 10^.

readonly PhysicalConstant IG::Num::SIPrefix::d`[static]`

Initial value:

     new PhysicalConstant(
                1e-1, 0,
                null,
                null,
                "d", "deci",
                "deci- (d), the SI prefix for factor of 10^-1.")

deci- (l), SI prefix for 10^-1.

readonly PhysicalConstant IG::Num::SIPrefix::c`[static]`

Initial value:

     new PhysicalConstant(
                1e-2, 0,
                null,
                null,
                "c", "centi",
                "centi- (c), the SI prefix for factor of 10^-2.")

centi- (c), SI prefix for 10^-2.

readonly PhysicalConstant IG::Num::SIPrefix::m`[static]`

Initial value:

     new PhysicalConstant(
                1e-3, 0,
                null,
                null,
                "m", "milli",
                "milli- (m), the SI prefix for factor of 10^-3.")

milli- (numrows), SI prefix for 10^-3.

readonly PhysicalConstant IG::Num::SIPrefix::micro`[static]`

Initial value:

     new PhysicalConstant(
                1e-6, 0,
                null,
                null,
                "µ", "micro",
                "micro- (µ), the SI prefix for factor of 10^-6.")

micro- (µ), SI prefix for 10^-6.

readonly PhysicalConstant IG::Num::SIPrefix::n`[static]`

Initial value:

     new PhysicalConstant(
                1e-9, 0,
                null,
                null,
                "n", "nano",
                "nano- (n), the SI prefix for factor of 10^-9.")

nano- (d2), SI prefix for 10^-9.

readonly PhysicalConstant IG::Num::SIPrefix::p`[static]`

Initial value:

     new PhysicalConstant(
                1e-12, 0,
                null,
                null,
                "p", "pico",
                "pico- (p), the SI prefix for factor of 10^-12.")

pico- (p), SI prefix for 10^-12.

readonly PhysicalConstant IG::Num::SIPrefix::f`[static]`

Initial value:

     new PhysicalConstant(
                1e-15, 0,
                null,
                null,
                "f", "femto",
                "femto- (f), the SI prefix for factor of 10^-15.")

femto- (f), SI prefix for 10^-15.

readonly PhysicalConstant IG::Num::SIPrefix::a`[static]`

Initial value:

     new PhysicalConstant(
                1e-18, 0,
                null,
                null,
                "a", "atto",
                "atto- (a), the SI prefix for factor of 10^-18.")

atto- (a), SI prefix for 10^-18.

readonly PhysicalConstant IG::Num::SIPrefix::z`[static]`

Initial value:

     new PhysicalConstant(
                1e-21, 0,
                null,
                null,
                "z", "zepto",
                "zepto- (z), the SI prefix for factor of 10^-21.")

zepto- (z), SI prefix for 10^-.

readonly PhysicalConstant IG::Num::SIPrefix::y`[static]`

Initial value:

     new PhysicalConstant(
                1e-24, 0,
                null,
                null,
                "y", "yocto",
                "yocto- (y), the SI prefix for factor of 10^-24.")

yocto- (y), SI prefix for 10^-24.

The documentation for this class was generated from the following file:

- Constants.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events